Probleme mit Modul Crypt::SSLeay / OpenSSL

Alles, was Perl betrifft, kann hier besprochen werden.

Probleme mit Modul Crypt::SSLeay / OpenSSL

Postby martinn » 10. September 2004 12:46

Hallo,

ich benötige für das Herunterladen einer https-Seite das Modul LWP.

Dieses benötigt Crypt::SSLeay welches wiederum OpenSSL als Grundlage benötigt.

Beim Aufrufen des Moduls durch
use crypt::SSLeay;
erhalte ich folgende Fehlermeldung:
_____________________________________________________
C:\TEST_Martin>perl -w LWP.pl
Can't find 'boot_Crypt__SSLeay' symbol in C:/Perl/site/lib/auto/Crypt/SSLeay/SSL
eay.dll
at LWP.pl line 6
Compilation failed in require at LWP.pl line 6.
BEGIN failed--compilation aborted at LWP.pl line 6.
_____________________________________________________

Folgende Fragen:

1. Wie kann ich überprüfen ob OpenSSL richtig installiert/konfiguriert ist?
2. Wie korrigiere ich das offensichtlich nicht korrekt installierte Modul, welches sich zwar unter C:\Perl\site\lib\Crypt befindet, aber nicht läuft?

Gruß Martin
martinn
 
Posts: 2
Joined: 06. August 2004 10:15

Return to Perl

Who is online

Users browsing this forum: No registered users and 2 guests